package com.dayou.controller;

import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.web.bind.annotation.RestController;
import com.dayou.controller.BaseController;
import com.dayou.service.IAssetsProductionService;
import com.dayou.entity.AssetsProduction;
import com.dayou.common.RestResponse;
import org.springframework.web.bind.annotation.*;
import com.dayou.utils.ConvertUtil;
import com.dayou.utils.HttpKit;
import com.dayou.exception.ErrorCode;
import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.http.MediaType;
import org.springframework.web.multipart.MultipartFile;
/**
 * 资产产品表
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
@RestController
@RequestMapping("assetsProduction")
@Slf4j
public class AssetsProductionController extends BaseController {
    @Autowired
    private IAssetsProductionService assetsProductionService;

    /**
    * 资产产品表列表
    */
    @GetMapping("")
    public RestResponse<Page<AssetsProduction>> page(AssetsProduction assetsProduction, Page page){
        Page<AssetsProduction> pages=assetsProductionService.selectPage(page,assetsProduction);
        return RestResponse.data(pages);
    }

    /**
     * 资产产品表详情
     */
    @GetMapping("/{id}")
    public RestResponse<AssetsProduction> detail(@PathVariable Long id){
        AssetsProduction xAssetsProduction =assetsProductionService.detail(id);
        return RestResponse.data(xAssetsProduction);
     }

    /**
     * 资产产品表新增
     */
    @PostMapping("")
    public RestResponse<Boolean> save(@RequestBody AssetsProduction assetsProduction) {
        Boolean ret = assetsProductionService.add(assetsProduction);
        return RestResponse.data(ret);
    }

    /**
     * 资产产品表更新
     */
    @PutMapping("")
    public RestResponse<Boolean> update(@RequestBody AssetsProduction assetsProduction) {
        Boolean ret = assetsProductionService.update(assetsProduction);
        return RestResponse.data(ret);
    }

    /**
     * 资产产品表删除
     */
    @DeleteMapping("/{id}")
    public RestResponse<Boolean> delete(@PathVariable Long id) {
        Boolean ret = assetsProductionService.delete(id);
        return RestResponse.data(ret);
    }


}

