package com.dayou.utils;

import com.alibaba.fastjson.JSON;
import com.dayou.dto.ItemData;
import com.dayou.entity.PersonalExample;
import com.dayou.vo.CompareExampleItemVO;

import java.util.ArrayList;
import java.util.List;

/**
 * 类说明：个贷工具
 *
 * @author: wucl
 * @since: 2024/3/7
 * created with IntelliJ IDEA.
 */
public class PersonalUtils {

    /**
     * 可比实例转对象
     * @param targetId
     * @param calculateId
     * @param originData
     * @return
     */
    public static List<PersonalExample> example2Entity(Long targetId, Long calculateId, List<CompareExampleItemVO> originData){
        PersonalExample exampleA= new PersonalExample(targetId,calculateId,true);
        PersonalExample exampleB= new PersonalExample(targetId,calculateId,true);
        PersonalExample exampleC= new PersonalExample(targetId,calculateId,true);
        PersonalExample target = new PersonalExample(targetId,calculateId,false);
        originData.stream().forEach(x->{
            String index = x.getIndex();
            switch (index){
                case "坐落":
                    exampleA.setLocation(JSON.toJSONString(x.getCompareA()));
                    exampleB.setLocation(JSON.toJSONString(x.getCompareB()));
                    exampleC.setLocation(JSON.toJSONString(x.getCompareC()));
                    target.setLocation(JSON.toJSONString(x.getTarget()));
                    break;
                case "总价(元)":
                    exampleA.setAmount(JSON.toJSONString(x.getCompareA()));
                    exampleB.setAmount(JSON.toJSONString(x.getCompareB()));
                    exampleC.setAmount(JSON.toJSONString(x.getCompareC()));
                    target.setAmount(JSON.toJSONString(x.getTarget()));
                    break;
                case "单价(元)":
                    exampleA.setPrice(JSON.toJSONString(x.getCompareA()));
                    exampleB.setPrice(JSON.toJSONString(x.getCompareB()));
                    exampleC.setPrice(JSON.toJSONString(x.getCompareC()));
                    target.setPrice(JSON.toJSONString(x.getTarget()));
                    break;
                case "市场状况":
                    exampleA.setMarketInfo(JSON.toJSONString(x.getCompareA()));
                    exampleB.setMarketInfo(JSON.toJSONString(x.getCompareB()));
                    exampleC.setMarketInfo(JSON.toJSONString(x.getCompareC()));
                    target.setMarketInfo(JSON.toJSONString(x.getTarget()));
                    break;
                case "所在楼栋":
                    exampleA.setOrientation(JSON.toJSONString(x.getCompareA()));
                    exampleB.setOrientation(JSON.toJSONString(x.getCompareB()));
                    exampleC.setOrientation(JSON.toJSONString(x.getCompareC()));
                    target.setOrientation(JSON.toJSONString(x.getTarget()));
                    break;
                case "建筑面积(平)":
                    exampleA.setAcreage(JSON.toJSONString(x.getCompareA()));
                    exampleB.setAcreage(JSON.toJSONString(x.getCompareB()));
                    exampleC.setAcreage(JSON.toJSONString(x.getCompareC()));
                    target.setAcreage(JSON.toJSONString(x.getTarget()));
                    break;
                case "楼层/总楼层":
                    exampleA.setAtFloor(JSON.toJSONString(x.getCompareA()));
                    exampleB.setAtFloor(JSON.toJSONString(x.getCompareB()));
                    exampleC.setAtFloor(JSON.toJSONString(x.getCompareC()));
                    target.setAtFloor(JSON.toJSONString(x.getTarget()));
                    break;
                case "户型":
                    exampleA.setHouseType(JSON.toJSONString(x.getCompareA()));
                    exampleB.setHouseType(JSON.toJSONString(x.getCompareB()));
                    exampleC.setHouseType(JSON.toJSONString(x.getCompareC()));
                    target.setHouseType(JSON.toJSONString(x.getTarget()));
                    break;
                case "室内装饰":
                    exampleA.setDecoration(JSON.toJSONString(x.getCompareA()));
                    exampleB.setDecoration(JSON.toJSONString(x.getCompareB()));
                    exampleC.setDecoration(JSON.toJSONString(x.getCompareC()));
                    target.setDecoration(JSON.toJSONString(x.getTarget()));
                    break;
                case "其他":
                    exampleA.setOtherInfo(JSON.toJSONString(x.getCompareA()));
                    exampleB.setOtherInfo(JSON.toJSONString(x.getCompareB()));
                    exampleC.setOtherInfo(JSON.toJSONString(x.getCompareC()));
                    target.setOtherInfo(JSON.toJSONString(x.getTarget()));
                case "权重":
                    exampleA.setWeight(JSON.toJSONString(x.getCompareA()));
                    exampleB.setWeight(JSON.toJSONString(x.getCompareB()));
                    exampleC.setWeight(JSON.toJSONString(x.getCompareC()));
                case "修正后价格":
                    exampleA.setFixPrice(JSON.toJSONString(x.getCompareA()));
                    exampleB.setFixPrice(JSON.toJSONString(x.getCompareB()));
                    exampleC.setFixPrice(JSON.toJSONString(x.getCompareC()));
                    target.setFixPrice(JSON.toJSONString(x.getTarget()));
                    break;
            }
        });
        List<PersonalExample> entities = new ArrayList<>();
        entities.add(exampleA);
        entities.add(exampleB);
        entities.add(exampleC);
        entities.add(target);
        return entities;
    }

    /**
     * 对象转可比实例
     * @param examples
     * @return
     */
    public static List<CompareExampleItemVO> entity2Example(List<PersonalExample> examples) {
        List<CompareExampleItemVO> vos = new ArrayList<>();
        CompareExampleItemVO location = new CompareExampleItemVO(0,"坐落");
        CompareExampleItemVO amount = new CompareExampleItemVO(1,"总价(元)");
        CompareExampleItemVO price = new CompareExampleItemVO(2,"单价(元)");
        CompareExampleItemVO marketInfo = new CompareExampleItemVO(3,"市场状况");
        CompareExampleItemVO orientation = new CompareExampleItemVO(4,"所在楼栋");
        CompareExampleItemVO acreage = new CompareExampleItemVO(5,"建筑面积(平)");
        CompareExampleItemVO atFloor = new CompareExampleItemVO(6,"楼层/总楼层");
        CompareExampleItemVO houseType = new CompareExampleItemVO(7,"户型");
        CompareExampleItemVO decoration = new CompareExampleItemVO(8,"室内装饰");
        CompareExampleItemVO otherInfo = new CompareExampleItemVO(9,"其他");
        CompareExampleItemVO weight = new CompareExampleItemVO(10,"权重");
        CompareExampleItemVO fixPrice = new CompareExampleItemVO(11,"修正后价格");

        for (int i = 0; i<examples.size() ; i++){
            switch (i){
                case 0:
                    location.setCompareA(JSON.parseObject(examples.get(i).getLocation(), ItemData.class));
                    amount.setCompareA(JSON.parseObject(examples.get(i).getAmount(), ItemData.class));
                    price.setCompareA(JSON.parseObject(examples.get(i).getPrice(), ItemData.class));
                    marketInfo.setCompareA(JSON.parseObject(examples.get(i).getMarketInfo(), ItemData.class));
                    orientation.setCompareA(JSON.parseObject(examples.get(i).getOrientation(), ItemData.class));
                    acreage.setCompareA(JSON.parseObject(examples.get(i).getAcreage(), ItemData.class));
                    atFloor.setCompareA(JSON.parseObject(examples.get(i).getAtFloor(), ItemData.class));
                    houseType.setCompareA(JSON.parseObject(examples.get(i).getHouseType(), ItemData.class));
                    decoration.setCompareA(JSON.parseObject(examples.get(i).getDecoration(), ItemData.class));
                    otherInfo.setCompareA(JSON.parseObject(examples.get(i).getOtherInfo(), ItemData.class));
                    weight.setCompareA(JSON.parseObject(examples.get(i).getWeight(), ItemData.class));
                    fixPrice.setCompareA(JSON.parseObject(examples.get(i).getFixPrice(), ItemData.class));
                    break;
                case 1:
                    location.setCompareB(JSON.parseObject(examples.get(i).getLocation(), ItemData.class));
                    amount.setCompareB(JSON.parseObject(examples.get(i).getAmount(), ItemData.class));
                    price.setCompareB(JSON.parseObject(examples.get(i).getPrice(), ItemData.class));
                    marketInfo.setCompareB(JSON.parseObject(examples.get(i).getMarketInfo(), ItemData.class));
                    orientation.setCompareB(JSON.parseObject(examples.get(i).getOrientation(), ItemData.class));
                    acreage.setCompareB(JSON.parseObject(examples.get(i).getAcreage(), ItemData.class));
                    atFloor.setCompareB(JSON.parseObject(examples.get(i).getAtFloor(), ItemData.class));
                    houseType.setCompareB(JSON.parseObject(examples.get(i).getHouseType(), ItemData.class));
                    decoration.setCompareB(JSON.parseObject(examples.get(i).getDecoration(), ItemData.class));
                    otherInfo.setCompareB(JSON.parseObject(examples.get(i).getOtherInfo(), ItemData.class));
                    weight.setCompareB(JSON.parseObject(examples.get(i).getWeight(), ItemData.class));
                    fixPrice.setCompareB(JSON.parseObject(examples.get(i).getFixPrice(), ItemData.class));
                case 2:
                    location.setCompareC(JSON.parseObject(examples.get(i).getLocation(), ItemData.class));
                    amount.setCompareC(JSON.parseObject(examples.get(i).getAmount(), ItemData.class));
                    price.setCompareC(JSON.parseObject(examples.get(i).getPrice(), ItemData.class));
                    marketInfo.setCompareC(JSON.parseObject(examples.get(i).getMarketInfo(), ItemData.class));
                    orientation.setCompareC(JSON.parseObject(examples.get(i).getOrientation(), ItemData.class));
                    acreage.setCompareC(JSON.parseObject(examples.get(i).getAcreage(), ItemData.class));
                    atFloor.setCompareC(JSON.parseObject(examples.get(i).getAtFloor(), ItemData.class));
                    houseType.setCompareC(JSON.parseObject(examples.get(i).getHouseType(), ItemData.class));
                    decoration.setCompareC(JSON.parseObject(examples.get(i).getDecoration(), ItemData.class));
                    otherInfo.setCompareC(JSON.parseObject(examples.get(i).getOtherInfo(), ItemData.class));
                    weight.setCompareC(JSON.parseObject(examples.get(i).getWeight(), ItemData.class));
                    fixPrice.setCompareC(JSON.parseObject(examples.get(i).getFixPrice(), ItemData.class));
                case 3:
                    location.setTarget(JSON.parseObject(examples.get(i).getLocation(), ItemData.class));
                    amount.setTarget(JSON.parseObject(examples.get(i).getAmount(), ItemData.class));
                    price.setTarget(JSON.parseObject(examples.get(i).getPrice(), ItemData.class));
                    marketInfo.setTarget(JSON.parseObject(examples.get(i).getMarketInfo(), ItemData.class));
                    orientation.setTarget(JSON.parseObject(examples.get(i).getOrientation(), ItemData.class));
                    acreage.setTarget(JSON.parseObject(examples.get(i).getAcreage(), ItemData.class));
                    atFloor.setTarget(JSON.parseObject(examples.get(i).getAtFloor(), ItemData.class));
                    houseType.setTarget(JSON.parseObject(examples.get(i).getHouseType(), ItemData.class));
                    decoration.setTarget(JSON.parseObject(examples.get(i).getDecoration(), ItemData.class));
                    otherInfo.setTarget(JSON.parseObject(examples.get(i).getOtherInfo(), ItemData.class));
                    weight.setTarget(JSON.parseObject(examples.get(i).getWeight(), ItemData.class));
                    fixPrice.setTarget(JSON.parseObject(examples.get(i).getFixPrice(), ItemData.class));
                    break;
            }
        }
        vos.add(location);vos.add(amount);vos.add(price);vos.add(marketInfo);vos.add(orientation);vos.add(acreage);vos.add(atFloor);vos.add(houseType);vos.add(decoration);vos.add(otherInfo);vos.add(weight);vos.add(fixPrice);
        return vos;
    }


}
