package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.WorkNodeInstanceTaskDTO;
import com.dayou.entity.WorkTaskRecord;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.MajorTaskDoneVO;
import com.dayou.vo.TaskTodoVO;
import com.dayou.vo.WorkTaskRecordVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 工作流任务记录 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-10-17
 */
public interface WorkTaskRecordMapper extends CustomBaseMapper<WorkTaskRecord> {

    void finishOpening(@Param("id") Long id,@Param("flowId") Long flowId);

    List<WorkNodeInstanceTaskDTO> instanceNodeTasks(@Param("instanceNodeId") Long instanceNodeId);

    List<Long> getNotBusinessHandleTaskId(@Param("instanceNodeId") Long instanceNodeId);

    List<WorkTaskRecordVO> getInstanceTask(@Param("instanceId") Long instanceId);

    Page<TaskTodoVO> taskTodoPage(Page page, @Param("todoVO") TaskTodoVO todoVO, @Param("keyword") String keyword);

    Page<MajorTaskDoneVO> majorTaskDonePage(Page page, @Param("todoVO") MajorTaskDoneVO todoVO, @Param("keyword") String keyword);

    void batchFinishTask(@Param("ids") List<Long> ids);
}
