package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import java.time.LocalDateTime;

import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 实收款认领
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "实收款认领")
public class FinanceClaim extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 实收款id
     */
    @AbcValidate(required = true,message = "实收款不能为空",fun = Check.NotNull)
    private Long realFundId;

    /**
     * 产品收款id
     */
    @AbcValidate(required = true,message = "产品收款不能为空",fun = Check.NotNull)
    private Long orderFundId;

    /**
     * 认领人id(user_id)
     */
    private Long claimId;

    /**
     * 认领时日
     */
    private LocalDateTime claimDatetime;

    /**
     * 认领金额
     */
    @AbcValidate(required = true,message = "认领金额不能为空",fun = Check.NotNull)
    private BigDecimal claimAmount;


}
