package com.dayou.service.impl;

import com.dayou.entity.AssetsEvaluationTarget;
import com.dayou.mapper.AssetsEvaluationTargetMapper;
import com.dayou.service.IAssetsEvaluationTargetService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 资产评估对象表 服务实现类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
@Service
public class AssetsEvaluationTargetServiceImpl extends ServiceImpl<AssetsEvaluationTargetMapper, AssetsEvaluationTarget> implements IAssetsEvaluationTargetService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<AssetsEvaluationTarget> selectPage(Page page,AssetsEvaluationTarget assetsEvaluationTarget){
        return this.page(page, new QueryWrapper<AssetsEvaluationTarget>(assetsEvaluationTarget));
    }


    @Override
    public AssetsEvaluationTarget detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(AssetsEvaluationTarget assetsEvaluationTarget){
        return  this.save(assetsEvaluationTarget);
    }

    @Override
    public Boolean update(AssetsEvaluationTarget assetsEvaluationTarget){
        return  this.updateById(assetsEvaluationTarget);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
